package helpers

import (
	"fmt"
	"log"
)

func Input(text string) string {
	fmt.Print(text)
	var input string
	fmt.Scanln(&input)
	return input
}

func HandleError(err error) {
	if err != nil {
		log.Fatal(err)
	}
}

func PassthroughError[T any](val T, err error) T {
	HandleError(err)
	return val
}
